// Black screen

#if defined(VERTEX) ///////////////////////////////////////////////////

layout(location=0) in vec3 aPosition;
layout(location=2) in vec2 aTexCoord;

void main() { gl_Position = vec4(aPosition.xyz, 1); }

#elif defined(FRAGMENT) ///////////////////////////////////////////////

layout(location = 0) out vec4 textColor;

uniform float time;
uniform float maxTime;

void main(){

	float alpha = 1.0f;
	
	if (time >= 0.25f){ alpha = clamp(maxTime - time, 0.0f, 1.0f); }

	textColor = vec4(0.0f, 0.0f, 0.0f, alpha);

}

#endif

